### Enumeration

# Clutter StepMode

#### Declaration

    enum Clutter.StepMode

#### Description [src]

Change the value transition of a step function.

See clutter_timeline_set_step_progress().

#### Members

`CLUTTER_STEP_MODE_START`

  The change in the value of a `CLUTTER_STEP` progress mode should occur at the start of the transition.

  - Value: `0`
  - Available since: 14
`CLUTTER_STEP_MODE_END`

  The change in the value of a `CLUTTER_STEP` progress mode should occur at the end of the transition.

  - Value: `1`
  - Available since: 14